RubyGems Navigation menu

dry-types 1.5.1

Type system for Ruby supporting coercions, constraints and complex types like structs, value objects, enums etc

Gemfile:
= Copy to clipboard Copied!

instalar:
=

Versões:

  1. 1.7.2 - January 05, 2024 (45,5 KB)
  2. 1.7.1 - February 17, 2023 (45,5 KB)
  3. 1.7.0 - November 04, 2022 (45,5 KB)
  4. 1.6.1 - October 15, 2022 (44,5 KB)
  5. 1.6.0 - October 15, 2022 (44,5 KB)
  6. 1.5.1 - February 16, 2021 (44 KB)
Mostrar todas as versões (47)

Runtime Dependencies (5):

dry-container ~> 0.3
dry-core ~> 0.5, >= 0.5
dry-inflector ~> 0.1, >= 0.1.2
dry-logic ~> 1.0, >= 1.0.2

Development Dependencies (5):

bundler >= 0
dry-monads ~> 1.0
rake >= 0
rspec >= 0
yard >= 0

Donos:

Pushed by:

Autores:

  • Piotr Solnica

SHA 256 checksum:

6dd3009d1f91a44c80f0e019cc5372c672610848913f2c10cab47f6ad2d060bf

Total de downloads 110.797.504

Desta versão 28.523.639

Licença:

MIT

Versão Requerida do Ruby: >= 2.5.0

Links: